import { jsx } from "react/jsx-runtime";
import { TokenSOLVE as TokenSOLVE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSOLVE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SOLVE", "data-name": "TokenSOLVE", ...props, children: /* @__PURE__ */ jsx(TokenSOLVE$1, { variant }) });
  }
);
TokenSOLVE.displayName = "TokenSOLVE";
Object.assign(TokenSOLVE, { isGdsIcon: true });
export {
  TokenSOLVE
};
